﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EasyXLSGridDemo.aspx.cs" Inherits="EasyXLSDemoApp.EasyXLSGrid.EasyXLSGridDemo"  EnableEventValidation="false" %>
<%-- GRID VIEW PAGER --%>
<%@ Register TagPrefix="ucPag" TagName="tagPag" Src="../EasyXLSGrid/EasyXLSGridPager.ascx" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <%--This will force IE to use its most up-to-date rendering engine.--%>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />

    <title>Grid & Chart Viewer</title>
    
    <%-- CSS STYLE (Look the same in all browsers) --%>
    <link rel="stylesheet" type="text/css" media="screen, projection" href="../CSS/easyXLSGridCSS.css" />
    <script src="http://code.jquery.com/jquery-latest.js"></script>

    <%-- CSS STYLE (for the controls in the page) --%>
    <style type="text/css">
        .txtBlack12Bold {
	                        color: #000000; 
	                        font-family: Arial;
	                        font-size: 12px;
	                        font-weight: bold;
	                        text-decoration : none;
                        }
        .txtRed11Bold {
	                    color: #E60E0E; 
	                    font-family: Arial;
	                    font-size: 11px;
	                    font-weight: bold;
	                    text-decoration : none;
                    }
                    
        .tdComment
        {
    	    text-decoration : none;
        }
          
        .tooltip {
        display:none;
        position:absolute;
        padding: 2px 4px 2px 4px;
        z-index: 9999;
        text-align: justify;
        background-color: #FFFFE1;	
        border: 1px solid #000000;
        white-space: normal;
        }
        
        .textInput {
        border: #BDBDBD 1px solid;
        font-size: 9pt;
        font-family:  Arial;
	    font-weight: normal;
	    text-decoration : none;
        background-color: #FFFFFF;
        }    

    </style>
    
    <%-- JAVA SCRIPT (Show comments) --%>
    <script type="text/javascript">

        $(document).ready(function() {            
            showTooltip();            
        })

        function showTooltip() {
            $('td.tdComment').each(function(index) {
                var control = $(this).find('div');
                // Update the css class first, then setup events
                $(this).hover(function(e) { // Hover event
                    control
                        .css('top', (e.pageY - 15) + 'px')
                        .css('left', (e.pageX + 15) + 'px')
                        .css('display', 'block');
                }, function() { // Hover off event                    
                    //Remove the appended tooltip template
                    control.css('display', 'none');

                }).mousemove(function(e) { // Mouse move event
                    // Reposition the tooltip
                    control
                          .css('top', (e.pageY - 15) + 'px')
                          .css('left', (e.pageX + 15) + 'px');
                });
            });
        }

    </script>
    
</head>
<body>
    <form id="form1" runat="server">
        <input type="hidden" runat="server" id="hidFileName"/> <%--value= "~/EasyXLSFile/ChartFINALAll.xls"--%> 
        <input type="hidden" runat="server" id="hidSheetName"/> <%--value= "1"--%> 
        <input type="hidden" runat="server" id="hidLeftCorner"/> <%--value= "A1"--%> 
        <input type="hidden" runat="server" id="hidRightCorner"/> <%--value= "Z500"--%> 
        <input type="hidden" runat="server" id="hidShowPopulated"/> <%--value= "1"--%> 
        
        <!-- Tooltip -->
        <div id="tooltipContainer" style="position:absolute"></div>
        <!-- for Comments -->
        <div id="dhtmltooltip"></div>
        <script language="JavaScript" src="../EasyXLSLib/dhtmltooltip.js?vrs=01" type="text/javascript"></script>
        
        <!-- Split the page -->
        <table width="100%" style="border: solid 0px Red;" >
            <thead>
                <tr>
                    <!-- empty -->
                    <th width="20%" style="border: solid 0px Red;"></th>
                    <!-- Selector -->
                    <th width="30%" style="border: solid 0px Red;"></th>
                    <!-- Filters -->
                    <th width="30%" style="border: solid 0px Red;"></th>
                    <!-- empty -->
                    <th width="20%"  style="border: solid 0px Red;"></th>
                </tr>
            </thead>
            <!-- 01 -->
            <tr>
                <!-- empty -->
                <td style="border: solid 0px Red;"></td>
                <!-- EasyXLS Logo -->
                <td style="border: solid 0px Red;" align="center" colspan="2" >
                     <%-- LOGO Image --%>
                    <div id="divImage" runat="server">
                        <img src="../EasyXLSImage/logo.jpg" alt="" />
                    </div>
                </td>
                <!-- empty -->
                <td style="border: solid 0px Red;"></td>
            </tr>
            <!-- 02 -->
            <tr>
                <td style="border: solid 0px Red;"></td>
                <td colspan="2" align="center" style="border: solid 0px Red;">
                    <div style="display:table; border: solid 0px Blue; width:100%;">
                        <!-- Selector -->
                        <div style="display:table-cell;
                                    background-image:url('../EasyXLSImage/left_box_top.png'); 
                                    background-repeat:no-repeat; 
                                    background-position:right;
                                    color: #F0F8FB;
                                    font-family: Arial; 
                                    font-size: 15px; 
                                    font-weight: bold; 
                                    text-decoration: none;
                                    height:25px;
                                    vertical-align:middle;
                                    padding-right:215px;
                                    width:50%;
                                    text-align:right;"> File
                        </div>  
                        <!-- Filters -->
                        <div style="display:table-cell;
                                    background-image:url('../EasyXLSImage/right_box_top.png'); 
                                    background-repeat:no-repeat; 
                                    background-position:left;
                                    color: #F0F8FB;
                                    font-family: Arial; 
                                    font-size: 15px; 
                                    font-weight: bold; 
                                    text-decoration: none;
                                    height:25px;
                                    vertical-align:middle;
                                    padding-left:215px;
                                    width:50%;
                                    text-align:left"> Filter
                        </div>
                    </div>
                </td>
               <td style="border: solid 0px Red;"></td>
            </tr>
            <tr>
                <td style="border: solid 0px Red;"></td>
                <td style="border: solid 0px Red;" colspan="2">
                    <div style="display:table; border: solid 0px Blue; width:100%;">
                        <div  style="display:table-cell;
                                    background-image:url('../EasyXLSImage/left_box_bottom.png'); 
                                    background-repeat:no-repeat; 
                                    background-position:right;
                                    color: #08708D;
                                    font-family: Arial; 
                                    font-size: 12px; 
                                    font-weight: bold; 
                                    text-decoration: none;
                                    vertical-align:middle;
                                    padding-right:20px;
                                    width:50%;">
                            <br />
                                <div style="text-align:center;">
                                    Select an xls or xlsx file 
                                </div>
                                <br />
                                <div style="text-align:right;"> 
                                    <asp:FileUpload ID="txtBoxFileUrl" runat="server" Width="400" /> &nbsp&nbsp
                                </div>
                            <br />
                            <br />
                            <br />
                        </div>
                        <div style="display:table-cell;
                            background-image:url('../EasyXLSImage/right_box_bottom.png'); 
                            background-repeat:no-repeat; 
                            background-position:left;
                            color: #08708D;
                            font-family: Arial; 
                            font-size: 12px; 
                            font-weight: bold; 
                            text-decoration: none;
                            height:25px;
                            vertical-align:middle;
                            padding-left:5px;
                            width:50%;">
                                <table width="100%" style="border: solid 0px White;" >
                                    <tr>
                                        <td style="border: solid 0px Red;" width="30%"></td>
                                        <td style="border: solid 0px Red;" ></td>
                                        <td style="border: solid 0px Red;" width="45%"></td>
                                    </tr>
                                    <tr>
                                        <td style="border: solid 0px Red;" align="right">
                                            <asp:Label ID="lblSheetNo" runat="server" Text=" Sheet number :"></asp:Label>
                                        </td>
                                        <td style="border: solid 0px Red;padding-left:10px;">
                                            <asp:TextBox ID="txtSheetNo" runat="server" CssClass="textInput" Text="1" Width="30"></asp:TextBox> 
                                        </td>
                                         <td style="border: solid 0px Red;" align="left">
                                            <asp:CheckBox ID="cbHideGridlines" runat="server" Checked="false" /><asp:Label ID="lblHideGridlines" runat="server" Text="Hide gridlines"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="border: solid 0px Red;"  align="right">
                                            <asp:Label ID="lblLeft" runat="server"  Text=" Left cell corner :"></asp:Label>
                                        </td>
                                        <td style="border: solid 0px Red;padding-left:10px;">
                                            <asp:TextBox ID="txtLeftCorner" runat="server" CssClass="textInput" Text="A1" Width="30"></asp:TextBox>
                                        </td>
                                        <td style="border: solid 0px Red;" align="left">
                                            <asp:CheckBox ID="cbShowPopulated" runat="server" Checked="true" /><asp:Label ID="lblShowOnlyExisting" runat="server" Text="Show only populated area"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="border: solid 0px Red;" align="right">
                                             <asp:Label ID="lblRight" runat="server" Text=" Right cell corner :"></asp:Label>
                                        </td>
                                        <td style="border: solid 0px Red;padding-left:10px;" colspan="2">
                                            <asp:TextBox ID="txtRightCorner" runat="server" CssClass="textInput" Text="Z800" Width="30"></asp:TextBox>
                                        </td>
                                    </tr>
                                    
                                </table>
                        </div>
                    </div>
                </td>
                <td style="border: solid 0px Red;"></td>
            </tr>
            <!-- 03 -->
            <tr>
                <!-- Display File button -->
                <td colspan="4" align="center" style="border: solid 0px Red;" >
                         <asp:LinkButton ID="lbnSaveURL" runat="server" OnClick="lbnSaveURL_Click" Text="Display file"
                             style="color: #F0F8FB;
	                                font-family: Arial; 
	                                font-size: 12px; 
	                                font-weight: bold; 
	                                text-decoration: none;
	                                text-align: center;
	                                vertical-align:middle;
	                                background-image:url('../EasyXLSImage/button_on.png'); 
                                    background-repeat:no-repeat; 
                                    background-position:left;
	                                display:inline-table;
	                                padding-top:20px;
	                                line-height:25px;
	                                height:40px; 
	                                width: 138px;">
	                    </asp:LinkButton> 
	            </td>
	        </tr>
	        <tr>
                <!-- Display errors -->
                <td colspan="4" align="center" style="border: solid 0px Red;" >
	                    <div id="divImgError"  runat="server" Visible="false" style="width:300px; height:100px; background-image:url('../EasyXLSImage/error.png');background-repeat:no-repeat; text-align:right;padding-left:50px;padding-top:50px;">
                        </div>
                        <div id="divError"  runat="server" Visible="false" >
                        <asp:Label ID="lblErrorURL" runat="server"  Text="Please insert all requested data !"  CssClass="txtRed11Bold"></asp:Label>
                        </div>
                </td>
	            <td style="border: solid 0px Red;"></td>
                
            </tr>
        </table>
        <div align="center" >
            <table cellpadding="0" cellspacing="0" style="border: solid 0px Red;">
                <tr align="center" style="border: solid 0px Red;">
                    <%--style="width:7300px;"--%>
                    <td align="center" style="border: solid 0px Red;">
                        <div align="center" id="divScroll" runat="server">
                            <%-- GRID VIEW --%>
                            <asp:GridView  style="border: solid 0px Red;" runat="server" ID="grvEasyXLSGrid" AutoGenerateColumns="False" ShowHeader="true" OnRowDataBound="grvEasyXLSGrid_RowDataBound" AllowPaging="true" PagerSettings-Visible="false" PageSize="50">
                            </asp:GridView>
                            <%-- GRID VIEW --%>
                            
                            <div id="divPager" runat="server">
                                <%-- GRID VIEW PAGER --%>
                                <table style="border: solid 0px Red;width: 100%; margin: 0 auto;" cellpadding="0" cellspacing="0">
                                    <tr  style="border: solid 0px Red;">
                                        <td align="center"  style="border: solid 0px Red;" ><ucPag:tagPag id="ucPager" runat="server"></ucPag:tagPag></td>
                                    </tr>
                                </table>
                                <%-- GRID VIEW PAGER --%>
                            </div>
                        </div>
                    </td>
               </tr>
            </table>
        </div>
        
    </form>
</body>
</html>
